#pragma once

#include "Battle/Action.h"

class Player;
class Ship;

class Attack : public Action {
public:
    Status operator()(Player* player, Ship* enemyShip) override;
    Type type() const override { return Action::Type::Attack; }
};